### A free/open-source library for quantitative finance

Public Member Functions
AmericanCondition Class Reference

American exercise condition. More...

`#include <ql/methods/finitedifferences/americancondition.hpp>`

Inherits CurveDependentStepCondition< array_type >.

List of all members.

## Public Member Functions

| AmericanCondition (Option::Type type, Real strike)
| AmericanCondition (const Array &intrinsicValues)

## Detailed Description

American exercise condition.

Possible enhancements:
  unify the intrinsicValues/Payoff thing